[libreoffice] 02/02: fix (set -e) and improve sdk-examples test (build everything)

Rene Engelhard rene at moszumanska.debian.org
Mon Jun 26 18:59:35 UTC 2017


This is an automated email from the git hooks/post-receive script.

rene pushed a commit to branch debian-experimental-5.4
in repository libreoffice.

commit 76c82567a40c131c8943bf1f0630fc914c6c94e3
Author: Rene Engelhard <rene at rene-engelhard.de>
Date:   Mon Jun 26 18:58:07 2017 +0000

    fix (set -e) and improve sdk-examples test (build everything)
---
 changelog          |  5 +++
 tests/control      |  2 +-
 tests/sdk-examples | 90 ++++++++++++++++++++++++++++++++++++++++++------------
 3 files changed, 76 insertions(+), 21 deletions(-)

diff --git a/changelog b/changelog
index d243076..75560ce 100644
--- a/changelog
+++ b/changelog
@@ -3,6 +3,11 @@ libreoffice (1:5.4.0~rc1-2) UNRELEASED; urgency=medium
   * debian/patches/sdk-cat-sed-bin.diff: fix bin/distro-install-sdk;
     cat and sed are in /bin... How did this ever work?
 
+  * debian/tests/control, debian/tests/sdk-examples: resemble upstream
+    build-esamples check. Build all examples mentioned there.
+    (Needs python3-uno and libreoffice-officbean as new test Depends:)
+  * debian/tests/sdk-examples: actually set -e...
+
  -- Rene Engelhard <rene at debian.org>  Mon, 26 Jun 2017 18:47:50 +0000
 
 libreoffice (1:5.4.0~rc1-1) experimental; urgency=medium
diff --git a/tests/control b/tests/control
index 3bf857c..3d95d47 100644
--- a/tests/control
+++ b/tests/control
@@ -9,4 +9,4 @@ Depends: libreoffice, python3, python3-uno, locales, autoconf, automake, bc, bis
 Restrictions: build-needed
 
 Tests: sdk-examples
-Depends: libreoffice-dev, libreoffice-dev-doc, libreoffice-dev-common, libreoffice-java-common, build-essential, default-jdk
+Depends: libreoffice-dev, libreoffice-dev-doc, libreoffice-dev-common, libreoffice-java-common, build-essential, default-jdk, python3-uno, libreoffice-officebean
diff --git a/tests/sdk-examples b/tests/sdk-examples
index 4585284..26af824 100755
--- a/tests/sdk-examples
+++ b/tests/sdk-examples
@@ -1,32 +1,82 @@
 #!/bin/sh
 
+set -e
+
+SRCDIR=`pwd`
+
+# sync with odk/CustomTarget_build-examples
+my_example_dirs=" \
+    CLI/CSharp/Spreadsheet \
+    CLI/VB.NET/WriterDemo \
+    DevelopersGuide/BasicAndDialogs/ToolkitControls \
+    DevelopersGuide/Components/Addons/ProtocolHandlerAddon_cpp \
+    DevelopersGuide/Components/CppComponent \
+    DevelopersGuide/Database/DriverSkeleton \
+    DevelopersGuide/Extensions/DialogWithHelp \
+    DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilter_cpp \
+    DevelopersGuide/ProfUNO/CppBinding \
+    DevelopersGuide/ProfUNO/SimpleBootstrap_cpp \
+    OLE/activex \
+    cpp/DocumentLoader \
+    cpp/complextoolbarcontrols \
+    cpp/counter \
+    cpp/remoteclient \
+    python/toolpanel \
+    DevelopersGuide/BasicAndDialogs/CreatingDialogs \
+    DevelopersGuide/Charts \
+    DevelopersGuide/Components/Addons/JobsAddon \
+    DevelopersGuide/Components/Addons/ProtocolHandlerAddon_java \
+    DevelopersGuide/Components/JavaComponent \
+    DevelopersGuide/Components/SimpleLicense \
+    DevelopersGuide/Components/Thumbs \
+    DevelopersGuide/Components/dialogcomponent \
+    DevelopersGuide/Config \
+    DevelopersGuide/Database \
+    DevelopersGuide/Drawing \
+    DevelopersGuide/FirstSteps \
+    DevelopersGuide/Forms \
+    DevelopersGuide/GUI \
+    DevelopersGuide/OfficeBean \
+    DevelopersGuide/OfficeDev \
+    DevelopersGuide/OfficeDev/Clipboard \
+    DevelopersGuide/OfficeDev/DesktopEnvironment \
+    DevelopersGuide/OfficeDev/DisableCommands \
+    DevelopersGuide/OfficeDev/FilterDevelopment/AsciiFilter \
+    DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilterDetection \
+    DevelopersGuide/OfficeDev/FilterDevelopment/FlatXmlFilter_java \
+    DevelopersGuide/OfficeDev/Linguistic \
+    DevelopersGuide/OfficeDev/PathSettings \
+    DevelopersGuide/OfficeDev/PathSubstitution \
+    DevelopersGuide/OfficeDev/TerminationTest \
+    DevelopersGuide/ProfUNO/InterprocessConn \
+    DevelopersGuide/ProfUNO/Lifetime \
+    DevelopersGuide/ProfUNO/SimpleBootstrap_java \
+    DevelopersGuide/ScriptingFramework/SayHello \
+    DevelopersGuide/ScriptingFramework/ScriptSelector \
+    DevelopersGuide/Spreadsheet \
+    DevelopersGuide/Text \
+    DevelopersGuide/UCB \
+    java/DocumentHandling \
+    java/Drawing \
+    java/Inspector \
+    java/MinimalComponent \
+    java/PropertySet \
+    java/Spreadsheet \
+    java/Text \
+    java/ToDo"
+
 echo "====== Preparing the SDK environment ======"
 cd /usr/lib/libreoffice/sdk
 . ./setsdkenv_unix.sh
 
-SRCDIR=`pwd`
-
 # don't clobber $HOME but do it in /tmp
 _old_sdk_out=$OO_SDK_OUT
 WORKDIR=`mktemp -d`
 export OO_SDK_OUT=$WORKDIR
 export PATH=`echo $PATH | sed -e "s,$_old_sdk_out,$OO_SDK_OUT,g"`
 
-echo "====== Building C++ example DocumentLoader ====== "
-cd $SRCDIR/examples/cpp/DocumentLoader
-make
-
-echo "====== Building C++ example counter ====== "
-cd $SRCDIR/examples/cpp/counter
-make
-echo "====== Running countermain.run ======"
-make countermain.run
-
-echo "====== Building Java DocumentHandling example ======"
-cd $SRCDIR/examples/java/DocumentHandling
-make
-
-echo "====== Building Developers Guide DesktopEnvironment example ======"
-cd $SRCDIR/examples/DevelopersGuide/OfficeDev/DesktopEnvironment
-make
-
+for i in $my_example_dirs; do 
+	echo "====== Building $i example ======"
+	cd /usr/lib/libreoffice/sdk/examples/$i
+	make
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-openoffice/libreoffice.git



More information about the Pkg-openoffice-commits mailing list